Package groovy.lang

# Class Tuple4<T1,​T2,​T3,​T4>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple4<T1,​T2,​T3,​T4>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`

    public final class Tuple4<T1,​T2,​T3,​T4>
    extends Tuple

Represents a list of 4 typed Objects.

Since:
  2.5.0
See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Tuple4​(Tuple4<T1,​T2,​T3,​T4> tuple)` |
  `Tuple4​(T1 v1, T2 v2, T3 v3, T4 v4)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Tuple4<T1,​T2,​T3,​T4>` | `clone()` |
  `T1` | `getFirst()` | Deprecated.
  `T4` | `getFourth()` | Deprecated.
  `T2` | `getSecond()` | Deprecated.
  `T3` | `getThird()` | Deprecated.
  `T1` | `getV1()` |
  `T2` | `getV2()` |
  `T3` | `getV3()` |
  `T4` | `getV4()` |

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray`

- ## Constructor Details

  - ### Tuple4

    public Tuple4​(T1 v1, T2 v2, T3 v3, T4 v4)

  - ### Tuple4

    public Tuple4​(Tuple4<T1,​T2,​T3,​T4> tuple)

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.

  - ### getThird

    @Deprecated public T3 getThird()
    Deprecated.

  - ### getFourth

    @Deprecated public T4 getFourth()
    Deprecated.

  - ### getV1

    public T1 getV1()

  - ### getV2

    public T2 getV2()

  - ### getV3

    public T3 getV3()

  - ### getV4

    public T4 getV4()

  - ### clone

    public Tuple4<T1,​T2,​T3,​T4> clone()
    Overrides:
      `clone` in class `Tuple`